Support » Plugin: WP Statistics » error message “Composer detected issues in your platform….”

  • Resolved MichaelDean

    (@michaeldean)


    Suddenly was getting this message instead of one of my wordpress installs:

    “Composer detected issues in your platform: Your Composer dependencies require the following PHP extensions to be installed: bcmath”

    I disabled plugins one by one, problem was WP-STATISTICS.

    My Php version is 7.4.

    Running WordPress 5.5.3 running Sharp Letters theme. Though I tried different themes and had the same issue with WP-Statistics running. I’ve just turned your plugin off for now by changing the folder file name.

    These are the other plugins I have:

    Add Widget After Content
    Akismet Anti-Spam
    Audio Album
    Blubrry PowerPress
    Classic Editor
    Contact Form 7
    Force HTTPS
    Loginizer
    Post Views Stats
    Query Monitor
    ReCaptcha v2 for Contact Form 7
    Responsive Lightbox & Gallery
    Simple Posts Ticker
    Webcraftic Updates manager
    WP Fastest Cache
    WP Statistics
    WP-Sweep
    WPSE Playlist shortcode for external files
    =====

    Thank you.

    • This topic was modified 6 months, 2 weeks ago by MichaelDean.
Viewing 15 replies - 31 through 45 (of 45 total)
  • Hi,
    Will your fix remove the need of bcmath ?
    And I suggest you to be more explicit in your error messages and give the name of the concerned plugin. That avoid to go hunting the black swan plugin…

    Thread Starter MichaelDean

    (@michaeldean)

    tnolles

    (@tnolles)

    Happy to help.

    Guyz- just read the freak’ error” – Install php-bcmath like so:

    sudo apt install php7.4-bcmath or something like (you know best on which version you are – otherwise contact your hosting-provider to do it for you). Normally you update plugins one by one the see if there are issues with one. Check the logs or in this case the errormessage. It clearly says something is missing so fix it by installing the missing component. Disabling it is just stupid imho.

    • This reply was modified 6 months, 2 weeks ago by sjoerd72.

    Hi, please, I have the same problem as you guys. How can i Fix it, or disable the plugin?

    My web is http://www.okvalite.sk

    Thanks for any answers

    Plugin Contributor veronalabs

    (@veronalabs)

    Hi,

    Thank you for using our plugin.

    There are some temporary solutions for you:

    1. Disable Adblocker
    2. If you access your WordPress Admin Panel, just deactivate the plugin. Otherwise, you can do that through CPanel/FTP. Delete the WP Statistics folder. Then replace it with the previous version of the plugin which is v 12.6.13. You can select and download this at the bottom of this page
    You will need to extract the file to obtain the wp-statistics folder if you are doing that via FTP. Then copy this to your wp/content/plugins folder.

    We are working hard to fix the issues and you can check out our GitHub for the Composer problem.
    We will release an update today.

    Again, we are really sorry for this issue.

    Thanks for your patience and understanding.

    Best,

    @veronalabs I do not use ad blocker. Very lame to make lame excuses for incompetence. Take the update down till it is fixed ad blocker has nothing to do with this. Even if it did you don’t tell someone to get rid of something you don’t like.

    • This reply was modified 6 months, 2 weeks ago by Jim.

    @sjoerd72 doesn’t correct the problem.

    @veronalabs

    i deleted the folder via FTP and uploaded v 12.6.13 folder, but if i go vi backend to the plugins i still get the message “Composer detected issues in your platform: Your Composer dependencies require the following PHP extensions to be installed: bcmath”

    Same here on a client’s site. Disabled for now.

    Thank you all…

    Will see what can be done.

    Hello.
    The new version of the plugin 13.0.3 does not want to be installed on the site https://levitanstudio.ru/. Lots of bugs appear. Screenshot: https://yadi.sk/i/PrWPVl_axCezlg

    Hi, I am still having the same issue and getting the below error

    “Composer detected issues in your platform: Your Composer dependencies require the following PHP extensions to be installed: bcmath”

    and unable to log into my site to disable the plug in. Would you mind helping me out?

    My site has been down for ~3 days – sounds like the issue may be with the WP statistics update?

    Thread Starter MichaelDean

    (@michaeldean)

    ponderingdurian, I posted a fix up higher. Search my reply.

    Plugin Contributor veronalabs

    (@veronalabs)

    Hi everyone,

    Thank you for using our plugin. We are truly sorry for any inconvenience this may cause.

    Our temporary solution is rolling back to the previous version.
    https://wordpress.org/support/topic/note-for-the-new-version-upper-than-v13-0/

    We are trying to resolve all the issues and release a new version.

    Thanks for your patience and understanding.

    Best,

    orientadmin

    (@orientadmin)

    hi there, my site suddnely stopped working, i cannot even log in to wordpress. it give me below error. When i go to cpanel php extensions to see if that file exists its not there.

    Composer detected issues in your platform: Your Composer dependencies require the following PHP extensions to be installed: exif

Viewing 15 replies - 31 through 45 (of 45 total)
  • You must be logged in to reply to this topic.